tigase.jaxmpp.core.client.xmpp.modules

## Interface StreamFeaturesModule.StreamFeaturesReceivedHandler

- All Superinterfaces:
    EventHandler
  Enclosing class:
    StreamFeaturesModule

      public static interface StreamFeaturesModule.StreamFeaturesReceivedHandler
      extends EventHandler

  Event fires when stream features are received.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `StreamFeaturesModule.StreamFeaturesReceivedHandler.StreamFeaturesReceivedEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onStreamFeaturesReceived(SessionObject sessionObject, Element featuresElement)`

- - ### Method Detail

    - #### onStreamFeaturesReceived

          void onStreamFeaturesReceived(SessionObject sessionObject,
                                        Element featuresElement)
                                 throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.